#include "t/main.hh"

#include "TaskRunnerPool.hh"

#include <iostream>

using namespace fatalmind;
using namespace std;

class myTestTask: public Task {
	public:
		myTestTask()
		: exec(0)
		{
		}

		virtual void run() {
			++exec;
		}
		int exec;
};


void TEST_TaskRunnerPool_one() {
	TaskRunnerPool pool;
	myTestTask t;
	
	assertEqual(t.exec, 0);
	TaskRunner::ID id = pool.run(t);
	id.wait();
	assertEqual(t.exec, 1);
	pool.run(t);
	pool.run(t);
	pool.run(t);
	pool.run(t);
	pool.run(t);
	pool.run(t);
	pool.run(t);
	pool.run(t);
	pool.run(t);
	pool.run(t);
	pool.run(t);
	pool.run(t);
	pool.run(t);
}

void TEST_PERF_TaskRunnerPool()
{
	TaskRunnerPool pool;
	myTestTask t;
	for (int i = 0; i <1000; ++i) {
		pool.run(t);
	}	
}

void TEST_PERF_TaskRunnerPool_detached()
{
	TaskRunnerPool pool;
	myTestTask t;
	for (int i = 0; i <1000; ++i) {
		pool.runDetached(t);
	}	
}
